Loading...
Searching...
No Matches
ed25519 API

API for DJB's ed25519. More...

## Macros

#define | ED25519_PK_LEN 32
#define | ED25519_SK_LEN 64
#define | ED25519_SIG_LEN 64

## Typedefs

typedef uint8_t | ed25519_pubkey[ED25519_PK_LEN]
typedef uint8_t | ed25519_privkey[ED25519_SK_LEN]
typedef uint8_t | ed25519_signature[ED25519_SIG_LEN]

## Functions

int | crypto_sign_ed25519_keypair (ed25519_pubkey pk, ed25519_privkey sk)
int | crypto_sign_ed25519 (unsigned char *sm, uint64_t *smlen, const unsigned char *m, uint64_t mlen, const ed25519_privkey sk)
int | crypto_sign_ed25519_open (unsigned char *m, uint64_t *mlen, const unsigned char *sm, uint64_t smlen, const ed25519_pubkey pk)

## Detailed Description

API for DJB's ed25519.